#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n;
    while (~scanf("%d", &n))
    {
        printf("I hate");
        for (int i = 1; i < n; i++)
            if (i & 1)
                printf(" that I love");
            else
                printf(" that I hate");
        puts(" it");
    }
    return 0;
}
